package org.wso2.carbon.device.mgt.ios.api.utils.beans.wrapper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.wso2.carbon.device.mgt.ios.payload.beans.WebClip;

import java.util.List;

@ApiModel(value = "WebClipBeanWrapper",
        description = "Information related to WebClip.")
public class WebClipBeanWrapper {

    @ApiModelProperty(name = "deviceIDs",
            value = "List of device Ids to be need to execute Webclip.", required = true)
    private List<String> deviceIDs;
    @ApiModelProperty(name = "operation",
            value = "WebClip.", required = true)
    private WebClip operation;

    public List<String> getDeviceIDs() {
        return deviceIDs;
    }

    public void setDeviceIDs(List<String> deviceIDs) {
        this.deviceIDs = deviceIDs;
    }

    public WebClip getOperation() {
        return operation;
    }

    public void setOperation(WebClip operation) {
        this.operation = operation;
    }
}
